Show / Hide Table of Contents

# Class OkResponse

200 Ok response

##### Inheritance

Object
RequestResponseBase
Response
OkResponse

##### Inherited Members

Response.StatusCode
Response.StatusDescription
Response.HasBody
Response.KeepAlive
Response.Is100Continue
Response.ExpectationFailed
Response.HeaderText
RequestResponseBase.BodyInternal
RequestResponseBase.OriginalIsBodyRead
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http.Responses

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public sealed class OkResponse : Response

### Constructors

#### OkResponse()

Constructor.

##### Declaration

    public OkResponse()

#### OkResponse(Byte[])

Constructor.

##### Declaration

    public OkResponse(byte[] body)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | body |